## gkrellm-2.2.10.tar.bz2

=== Makefile ===
# To make GKrellM for different systems, you can simply:
# For Linux:
#	make
# For FreeBSD 2.X:
#	make freebsd2
# For FreeBSD 3.X or later:
#	make freebsd
# For NetBSD 1.5 - 1.6.X
#	make netbsd1
# For NetBSD 2.X
#	make netbsd2
# For OpenBSD
#	make openbsd
# For Darwin / Mac OS X
#   make darwin
# For Solaris 2.x (8 tested so far):
#	make solaris
# For libgtop if you have version 1.1.x installed:
#	make gtop
# For libgtop if you have version 1.0.x installed in /usr/include & /usr/lib,
# uncomment GTOP lines below:
#	make gtop1.0
# or, eg. if libgtop 1.0 is installed in /opt/gnome/include & /opt/gnome/lib
#	make gtop1.0 GTOP_PREFIX=/opt/gnome
#
# Then:
#	make install
# To override default install locations /usr/local/bin and /usr/local/include
# to, for example, /usr/bin and /usr/include:
#    make install INSTALLDIR=/usr/bin INCLUDEDIR=/usr/include
#
# ------------------------------------------------------------------
#  If you want to override the default behaviour for the above simple "make"
#  steps, then uncomment and edit the appropriate lines below.
#
# Default
#--------
EXTRAOBJS = md5c.o
BINMODE = 755

# FreeBSD 2.X
#------------
#SYS_LIBS = -lkvm
#EXTRAOBJS =
#BINMODE = 4111


# FreeBSD 3.X or later
#---------------------
#SYS_LIBS = -lkvm -ldevstat
#EXTRAOBJS =
#BINMODE = 4111

# NetBSD 1.5 - 1.6.X
#------------------
#SYS_LIBS=-lkvm
#EXTRAOBJS =
#MANDIR = $(INSTALLROOT)/man/man1

# NetBSD
#------------------
#SYS_LIBS=-lkvm -lpthread
#EXTRAOBJS =
#MANDIR = $(INSTALLROOT)/man/man1

# OpenBSD
#------------------
#SYS_LIBS=-lkvm -lpthread
#EXTRAOBJS =
#BINMODE=2755

# Solaris 2.x
#------------
#SYS_LIBS = -lkstat -lkvm -ldevinfo
#EXTRAOBJS = md5c.o
#BINMODE=2755
#LOCALEDIR = /usr/local/share/locale

# "make gtop1.0" defaults.  If you don't have gnome or libgtop 1.1.x
# installed, uncomment and edit these if necessary for a libgtop install.
# Or, see below about specifying them on the command line.  These are not
# used if you "make gnome-gtop" or "make gtop".
#-----------------------------------
#GTOP_PREFIX = /usr
#GTOP_INCLUDE = -I$(GTOP_PREFIX)/include
#GTOP_LIBS = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps -lXau
#GTOP_LIBS_D = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps
#export GTOP_INCLUDE GTOP_LIBS GTOP_LIBS_D

VERSION = 2.2.10

INSTALLROOT ?= $(DESTDIR)$(PREFIX)

ifeq ($(INSTALLROOT),)
	INSTALLROOT = /usr/local
endif

INSTALLDIR = $(INSTALLROOT)/bin
SINSTALLDIR ?= $(INSTALLDIR)
MANDIR ?= $(INSTALLROOT)/share/man/man1
SMANDIR ?= $(MANDIR)
MANMODE = 644
MANDIRMODE = 755
INCLUDEDIR = $(INSTALLROOT)/include
INCLUDEMODE = 644
INCLUDEDIRMODE = 755
INSTALL ?= install
PKGCONFIGDIR ?= $(INSTALLROOT)/lib/pkgconfig
LOCALEDIR ?= $(INSTALLROOT)/share/locale

OS_NAME=$(shell uname -s)
OS_RELEASE=$(shell uname -r)

export SYS_LIBS EXTRAOBJS BINMODE
export INSTALLDIR SINSTALLDIR INCLUDEDIR INCLUDEMODE INCLUDEDIRMODE LOCALEDIR
export MANDIR SMANDIR MANDIRMODE MANMODE
export OS_NAME OS_RELEASE

enable_nls=1
debug=0
export enable_nls
export debug

all gkrellm: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} gkrellm)
	(cd server && ${MAKE} gkrellmd)

gkrellm.pc: Makefile
	echo "prefix=$(INSTALLROOT)" > gkrellm.pc
	echo "Name: GKrellM" >> gkrellm.pc
	echo "Description: Extensible GTK system monitoring application" >> gkrellm.pc
	echo "Version: $(VERSION)" >> gkrellm.pc
	echo "Requires: gtk+-2.0 >= 2.0.0" >> gkrellm.pc
	echo "Cflags: -I$(INCLUDEDIR)" >> gkrellm.pc

install: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install)
	(cd server && ${MAKE} install)

uninstall:
	(cd po && ${MAKE} uninstall)
	(cd src && ${MAKE} uninstall)
	(cd server && ${MAKE} uninstall)
	rm -f $(PKGCONFIGDIR)/gkrellm.pc

install_gkrellm.pc:
	$(INSTALL) -d $(PKGCONFIGDIR)
	$(INSTALL) -m $(INCLUDEMODE) -c gkrellm.pc $(PKGCONFIGDIR)

install_darwin: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install STRIP="")
	(cd server && ${MAKE} install STRIP="")

install_freebsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_freebsd)
	(cd server && ${MAKE} install_freebsd)

install_netbsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_netbsd)
	(cd server && ${MAKE} install_netbsd)

install_openbsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_openbsd)
	(cd server && ${MAKE} install_openbsd)

install_solaris: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_solaris)
	(cd server && ${MAKE} install_solaris)

clean:
	(cd po && ${MAKE} clean)
	(cd src && ${MAKE} clean)
	(cd server && ${MAKE} clean)
	rm -f gkrellm.pc

freebsd2:	gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} freebsd2)
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd" gkrellmd )

freebsd3 freebsd4 freebsd5 freebsd: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} freebsd)
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat -lmd" gkrellmd )

darwin: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} GTK_CONFIG=gtk-config STRIP= HAVE_GETADDRINFO=1 \
		EXTRAOBJS= SYS_LIBS="-lkvm -framework IOKit" \
		LINK_FLAGS="-prebind -Wl,-bind_at_load -framework CoreFoundation -lX11" \
		gkrellm )
	(cd server && ${MAKE} GTK_CONFIG=gtk-config STRIP= HAVE_GETADDRINFO=1 \
		EXTRAOBJS= SYS_LIBS="-lkvm -framework IOKit" \
		LINK_FLAGS="-prebind -Wl,-bind_at_load -framework CoreFoundation" \
		gkrellmd )

netbsd1: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm" \
		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -Wl,-R/usr/X11R6/lib" \
		gkrellm )
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm" gkrellmd )

netbsd2: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -pthread" \
		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -R/usr/X11R6/lib" \
		gkrellm )
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -pthread" gkrellmd )

openbsd: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} \
		PTHREAD_INC=-I${PREFIX}/include EXTRAOBJS= \
		SYS_LIBS="-lkvm -pthread" gkrellm )
	(cd server && ${MAKE} \
		PTHREAD_INC=-I${PREFIX}/include EXTRAOBJS= \
		SYS_LIBS="-lkvm -pthread" gkrellmd )

solaris: gkrellm.pc
	(cd po && ${MAKE} MSGFMT_OPT="-v -o" \
		LOCALEDIR=/usr/local/share/locale all)
ifeq ($(OS_RELEASE),5.8)
	(cd src && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lresolv -lsocket -lX11 -lintl" \
		LINK_FLAGS="" gkrellm )
	(cd server && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int -DSOLARIS_8" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl -lintl" \
		LINK_FLAGS="" gkrellmd )
else
	(cd src && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lresolv -lsocket -lX11" LINK_FLAGS="" gkrellm )
	(cd server && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl" LINK_FLAGS="" gkrellmd )
endif

gnome-gtop: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} GTOP_PREFIX="\`gnome-config --prefix libgtop\`" \
		GTOP_INCLUDE="\`gnome-config --cflags libgtop\`" \
		GTOP_LIBS="\`gnome-config --libs libgtop\`" \
		SYS_LIBS= gkrellm )
	(cd server && ${MAKE} GTOP_PREFIX="\`gnome-config --prefix libgtop\`" \
		GTOP_INCLUDE="\`gnome-config --cflags libgtop\`" \
		GTOP_LIBS_D="\`gnome-config --libs libgtop\`" \
		SYS_LIBS= gkrellmd )
 
gtop: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} GTOP_INCLUDE="\`libgtop-config --cflags\`" \
		GTOP_LIBS="\`libgtop-config --libs\`" \
		SYS_LIBS="-lXau" gkrellm )
	(cd server && ${MAKE} GTOP_INCLUDE="\`libgtop-config --cflags\`" \
		GTOP_LIBS_D="\`libgtop-config --libs\`" \
		SYS_LIBS= gkrellmd )

gtop1.0: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} gkrellm )
	(cd server && ${MAKE} gkrellmd )

=== server/Makefile ===
PACKAGE_D ?= gkrellmd
PKG_CONFIG ?= pkg-config
BINMODE ?= 755

INSTALLROOT ?= $(DESTDIR)$(PREFIX)
ifeq ($(INSTALLROOT),)
	INSTALLROOT = /usr/local
endif

SINSTALLDIR ?= $(INSTALLROOT)/bin
INSTALLDIRMODE ?= 755

INCLUDEDIR ?= $(INSTALLROOT)/include
INCLUDEMODE ?= 644
INCLUDEDIRMODE ?= 755

SMANDIR ?= $(INSTALLROOT)/share/man/man1
MANMODE ?= 644
MANDIRMODE ?= 755
INSTALL ?= install
LINK_FLAGS ?= -Wl,-E


ifeq ($(without-libsensors),yes)
	CONFIGURE_ARGS += --without-libsensors
endif
ifeq ($(without-libsensors),1)
	CONFIGURE_ARGS += --without-libsensors
endif

DUMMY_VAR := $(shell ./configure $(CONFIGURE_ARGS))

HAVE_LIBSENSORS = $(shell grep -c HAVE_LIBSENSORS configure.h)
ifeq ($(HAVE_LIBSENSORS),1)
    SENSORS_LIBS ?= -lsensors
endif


CC ?= gcc
STRIP ?= -s

GKRELLMD_INCLUDES = gkrellmd.h

PKG_INCLUDE = `$(PKG_CONFIG) --cflags glib-2.0 gthread-2.0`
PKG_LIB = `$(PKG_CONFIG) --libs glib-2.0 gmodule-2.0 gthread-2.0`

GLIB12_INCLUDE = `glib-config --cflags`
GLIB12_LIB = `glib-config --libs glib gmodule`

FLAGS = -O2 -I.. $(PKG_INCLUDE) $(GTOP_INCLUDE)
ifeq ($(glib12),1)
FLAGS = -O2 -I.. $(GLIB12_INCLUDE) $(GTOP_INCLUDE)
endif
ifeq ($(glib12),yes)
FLAGS = -O2 -I.. $(GLIB12_INCLUDE) $(GTOP_INCLUDE)
endif

FLAGS+= $(PTHREAD_INC)

LIBS = $(PKG_LIB) $(GTOP_LIBS_D) $(SYS_LIBS) $(SENSORS_LIBS)

ifeq ($(glib12),1)
LIBS = $(GLIB12_LIB) $(GTOP_LIBS_D) $(SYS_LIBS) $(SENSORS_LIBS)
endif
ifeq ($(glib12),yes)
LIBS = $(GLIB12_LIB) $(GTOP_LIBS_D) $(SYS_LIBS) $(SENSORS_LIBS)
endif

ifeq ($(debug),1)
    FLAGS += -g
endif
ifeq ($(debug),yes)
    FLAGS += -g
endif

ifeq ($(profile),1)
    FLAGS += -g -pg
endif
ifeq ($(profile),yes)
    FLAGS += -g -pg
endif

ifeq ($(enable_nls),1)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif
ifeq ($(enable_nls),yes)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif

ifneq ($(PACKAGE_D),gkrellmd)
	FLAGS += -DPACKAGE_D=\"$(PACKAGE_D)\"
endif

ifeq ($(HAVE_GETADDRINFO),1)
    FLAGS += -DHAVE_GETADDRINFO
endif


override CC += -Wall $(FLAGS)

OS_NAME=$(shell uname -s)
OS_RELEASE=$(shell uname -r)

OBJS =	main.o monitor.o mail.o plugins.o glib.o utils.o sysdeps-unix.o

all:	gkrellmd

gkrellmd: $(OBJS)
	$(CC) $(OBJS) -o gkrellmd $(LIBS) $(LINK_FLAGS)

static: $(OBJS)
	$(CC) $(OBJS) -o gkrellmd.static -static \
		$(LIBS) $(LINK_FLAGS)

freebsd2:
	$(MAKE) GTK_CONFIG=gtk12-config \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd" gkrellmd

freebsd3 freebsd:
	$(MAKE) GTK_CONFIG=gtk12-config \
		EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat -lmd" gkrellmd

darwin: 
	$(MAKE) GTK_CONFIG=gtk-config STRIP= \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd5" \
		LINK_FLAGS="-flat_namespace -undefined warning" gkrellmd

netbsd1:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm" gkrellmd

netbsd2:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -pthread" gkrellmd

openbsd:
	$(MAKE) SYS_LIBS="-lkvm -pthread" gkrellmd

solaris:
ifeq ($(OS_RELEASE),5.8)
	$(MAKE) CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl -lintl" \
		LINK_FLAGS="" gkrellmd
else
	$(MAKE) CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl" \
		LINK_FLAGS="" gkrellmd
endif

install:
	$(INSTALL) -d -m $(INSTALLDIRMODE) $(SINSTALLDIR)
	$(INSTALL) -c $(STRIP) -m $(BINMODE) gkrellmd $(SINSTALLDIR)/$(PACKAGE_D)
	$(INSTALL) -d -m $(INCLUDEDIRMODE) $(INCLUDEDIR)/gkrellm2
	$(INSTALL) -c -m $(INCLUDEMODE) $(GKRELLMD_INCLUDES) $(INCLUDEDIR)/gkrellm2
	$(INSTALL) -d -m $(MANDIRMODE) $(SMANDIR)
	$(INSTALL) -c -m $(MANMODE) ../gkrellmd.1 $(SMANDIR)/$(PACKAGE_D).1

uninstall:
	rm -f $(SINSTALLDIR)/$(PACKAGE_D)
	rm -f $(SMANDIR)/$(PACKAGE_D).1

install_darwin:
	$(MAKE) install STRIP=

install_freebsd:
	$(MAKE) install
	chgrp kmem $(SINSTALLDIR)/$(PACKAGE_D)
	chmod g+s $(SINSTALLDIR)/$(PACKAGE_D)

install_netbsd:
	$(MAKE) SMANDIR="$(INSTALLROOT)/man/man1" install

install_openbsd:
	$(MAKE) install
	chgrp kmem $(SINSTALLDIR)/$(PACKAGE_D)
	chmod g+sx $(SINSTALLDIR)/$(PACKAGE_D)

install_solaris:
	$(MAKE) install INSTALL=/usr/ucb/install
	chgrp sys $(SINSTALLDIR)/$(PACKAGE_D)
	chmod g+s $(SINSTALLDIR)/$(PACKAGE_D)  

clean:
	rm -f *.o *~ *.bak configure.h configure.log gkrellmd core

SYSDEPS = ../src/sysdeps/bsd-common.c ../src/sysdeps/bsd-net-open.c \
	../src/sysdeps/freebsd.c ../src/sysdeps/gtop.c \
	../src/sysdeps/linux.c ../src/sysdeps/netbsd.c \
	../src/sysdeps/openbsd.c ../src/sysdeps/solaris.c ../src/sysdeps/darwin.c

main.o:		main.c gkrellmd.h
monitor.o:	monitor.c gkrellmd.h 
mail.o:		mail.c gkrellmd.h
plugins.o:	plugins.c gkrellmd.h 
glib.o:		glib.c gkrellmd.h
utils.o:	utils.c gkrellmd.h
sysdeps-unix.o: sysdeps-unix.c gkrellmd.h ../src/gkrellm-sysdeps.h $(SYSDEPS)

=== src/Makefile ===
PACKAGE ?= gkrellm
PKG_CONFIG ?= pkg-config
BINMODE ?= 755

INSTALLROOT ?= $(DESTDIR)$(PREFIX)
ifeq ($(INSTALLROOT),)
	INSTALLROOT = /usr/local
endif

INSTALLDIR ?= $(INSTALLROOT)/bin
INSTALLDIRMODE ?= 755
INCLUDEDIR ?= $(INSTALLROOT)/include
INCLUDEMODE ?= 644
INCLUDEDIRMODE ?= 755
MANDIR ?= $(INSTALLROOT)/share/man/man1
MANMODE ?= 644
MANDIRMODE ?= 755
INSTALL ?= install
LINK_FLAGS ?= -Wl,-E
SMC_LIBS ?= -L/usr/X11R6/lib -lSM -lICE

ifeq ($(without-gnutls),1)
	CONFIGURE_ARGS += --without-gnutls
endif
ifeq ($(without-gnutls),yes)
	CONFIGURE_ARGS += --without-gnutls
endif
ifeq ($(without-ssl),1)
	CONFIGURE_ARGS += --without-ssl
endif
ifeq ($(without-ssl),yes)
	CONFIGURE_ARGS += --without-ssl
endif
ifeq ($(without-libsensors),yes)
	CONFIGURE_ARGS += --without-libsensors
endif
ifeq ($(without-libsensors),1)
	CONFIGURE_ARGS += --without-libsensors
endif


DUMMY_VAR := $(shell ./configure $(CONFIGURE_ARGS))

HAVE_GNUTLS = $(shell grep -c HAVE_GNUTLS configure.h)
HAVE_SSL = $(shell grep -c HAVE_SSL configure.h)
HAVE_LIBSENSORS = $(shell grep -c HAVE_LIBSENSORS configure.h)

ifeq ($(HAVE_GNUTLS),1)
    SSL_LIBS ?= -lgnutls-openssl
else
ifeq ($(HAVE_SSL),1)
    SSL_LIBS ?= -lssl -lcrypto
else
    EXTRAOBJS ?= md5c.o
endif
endif

ifeq ($(HAVE_LIBSENSORS),1)
    SENSORS_LIBS ?= -lsensors
endif

CC ?= gcc
STRIP ?= -s

GKRELLM_INCLUDES = gkrellm.h gkrellm-public-proto.h

PKG_INCLUDE = `$(PKG_CONFIG) --cflags gtk+-2.0 gthread-2.0`

PKG_LIB = `$(PKG_CONFIG) --libs gtk+-2.0 gthread-2.0`

FLAGS = -O2 -I.. $(PKG_INCLUDE) $(GTOP_INCLUDE)
FLAGS+= $(PTHREAD_INC)

LIBS = $(PKG_LIB) $(GTOP_LIBS) $(SMC_LIBS) $(SYS_LIBS) $(SSL_LIBS) $(SENSORS_LIBS)

ifeq ($(debug),1)
    FLAGS += -g
endif
ifeq ($(debug),yes)
    FLAGS += -g
endif

ifeq ($(enable_nls),1)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif
ifeq ($(enable_nls),yes)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif

ifneq ($(PACKAGE),gkrellm)
	FLAGS += -DPACKAGE=\"$(PACKAGE)\"
endif

ifeq ($(HAVE_GETADDRINFO),1)
    FLAGS += -DHAVE_GETADDRINFO
endif


override CC += -Wall $(FLAGS)

OBJS =	main.o alerts.o battery.o base64.o clock.o cpu.o disk.o fs.o \
	hostname.o inet.o mail.o mem.o net.o proc.o sensors.o uptime.o \
	chart.o panel.o config.o gui.o krell.o plugins.o pixops.o \
	smbdes.o smbencrypt.o smbmd4.o smbutil.o \
	client.o utils.o winops-x11.o sysdeps-unix.o deprecated.o

all:	gkrellm

gkrellm: $(OBJS) $(EXTRAOBJS)
	$(CC) $(OBJS) $(EXTRAOBJS) -o gkrellm $(LIBS) $(LINK_FLAGS)

static: $(OBJS) $(EXTRAOBJS)
	$(CC) $(OBJS) $(EXTRAOBJS) -o gkrellm.static -static \
		$(LIBS) $(LINK_FLAGS)

freebsd2:
ifeq ($(HAVE_SSL),1)
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm" gkrellm
else
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -lmd" gkrellm
endif

freebsd3 freebsd:
ifeq ($(HAVE_SSL),1)
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat" gkrellm
else
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat -lmd" gkrellm
endif

darwin: 
ifeq ($(HAVE_SSL),1)
	$(MAKE) GTK_CONFIG=gtk-config STRIP= \
		EXTRAOBJS= SYS_LIBS="-lkvm" \
		gkrellm
else
	$(MAKE) GTK_CONFIG=gtk-config STRIP= \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd5" \
		gkrellm
endif

netbsd1:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm" \
		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -Wl,-R/usr/X11R6/lib" \
		gkrellm
netbsd2:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -pthread" \
		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -R/usr/X11R6/lib" \
		gkrellm

openbsd:
	$(MAKE) GTK_CONFIG=gtk-config GTOP_LIBS= SYS_LIBS="-lkvm -pthread" gkrellm

solaris:
	$(MAKE) CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo" gkrellm

install:
	$(INSTALL) -d -m $(INSTALLDIRMODE) $(INSTALLDIR)
	$(INSTALL) -c $(STRIP) -m $(BINMODE) gkrellm $(INSTALLDIR)/$(PACKAGE)
	$(INSTALL) -d -m $(INCLUDEDIRMODE) $(INCLUDEDIR)/gkrellm2
	$(INSTALL) -c -m $(INCLUDEMODE) $(GKRELLM_INCLUDES) $(INCLUDEDIR)/gkrellm2
	$(INSTALL) -d -m $(MANDIRMODE) $(MANDIR)
	$(INSTALL) -c -m $(MANMODE) ../gkrellm.1 $(MANDIR)/$(PACKAGE).1

uninstall:
	rm -f $(INSTALLDIR)/$(PACKAGE)
	rm -rf $(INCLUDEDIR)/gkrellm2
	rm -f $(MANDIR)/$(PACKAGE).1

install_darwin:
	$(MAKE) install STRIP=

install_freebsd:
	$(MAKE) install
	chgrp kmem $(INSTALLDIR)/$(PACKAGE)
	chmod g+s $(INSTALLDIR)/$(PACKAGE)

install_netbsd:
	$(MAKE) MANDIR="$(INSTALLROOT)/man/man1" install

install_openbsd:
	$(MAKE) install
	chgrp kmem $(INSTALLDIR)/$(PACKAGE)
	chmod g+sx $(INSTALLDIR)/$(PACKAGE)

install_solaris:
	$(MAKE) install INSTALL=/usr/ucb/install
	chgrp sys $(INSTALLDIR)/$(PACKAGE)
	chmod g+s $(INSTALLDIR)/$(PACKAGE)  

clean:
	rm -f *.o *~ *.bak configure.h configure.log gkrellm core

IMAGES = \
	../pixmaps/frame_top.xpm \
	../pixmaps/frame_bottom.xpm \
	../pixmaps/frame_left.xpm \
	../pixmaps/frame_right.xpm \
	\
	../pixmaps/button_panel_out.xpm \
	../pixmaps/button_panel_in.xpm \
	../pixmaps/button_meter_out.xpm \
	../pixmaps/button_meter_in.xpm \
	\
	../pixmaps/bg_chart.xpm \
	../pixmaps/bg_grid.xpm  \
	../pixmaps/bg_panel.xpm \
	../pixmaps/bg_meter.xpm \
	\
	../pixmaps/data_in.xpm \
	../pixmaps/data_in_grid.xpm \
	../pixmaps/data_out.xpm \
	../pixmaps/data_out_grid.xpm \
	\
	../pixmaps/net/decal_net_leds.xpm \
	../pixmaps/decal_misc.xpm \
	../pixmaps/decal_alarm.xpm \
	../pixmaps/decal_warn.xpm \
	\
	../pixmaps/krell_panel.xpm \
	../pixmaps/krell_meter.xpm \
	../pixmaps/krell_slider.xpm \
	../pixmaps/krell_mini.xpm \
	../pixmaps/fs/bg_panel.xpm \
	../pixmaps/host/bg_panel.xpm \
	../pixmaps/mail/decal_mail.xpm \
	../pixmaps/mail/krell_mail.xpm \
	../pixmaps/mail/krell_mail_daemon.xpm \
	../pixmaps/timer/bg_panel.xpm \
	../pixmaps/timer/bg_timer.xpm \
	../pixmaps/timer/decal_timer_button.xpm \
	../pixmaps/uptime/bg_panel.xpm \
	\
	../pixmaps/gkrellmms/bg_panel.xpm \
	../pixmaps/gkrellmms/spacer_top.xpm \
	../pixmaps/gkrellmms/spacer_bottom.xpm \
	../pixmaps/gkrellmms/bg_scroll.xpm \
	../pixmaps/pmu/bg_panel.xpm \
	../pixmaps/pmu/spacer_top.xpm \
	../pixmaps/pmu/spacer_bottom.xpm \
	../pixmaps/volume/bg_panel.xpm \
	../pixmaps/volume/spacer_top.xpm \
	../pixmaps/volume/spacer_bottom.xpm \
	../pixmaps/bg_separator.xpm

SYSDEPS_SRC = sysdeps/bsd-common.c sysdeps/bsd-net-open.c sysdeps/freebsd.c \
	sysdeps/gtop.c sysdeps/linux.c sysdeps/netbsd.c sysdeps/openbsd.c \
	sysdeps/solaris.c sysdeps/darwin.c sysdeps/sensors-common.c

GKRELLM_H = gkrellm.h gkrellm-private.h
GKRELLM_H_SYS = gkrellm.h gkrellm-public-proto.h gkrellm-private.h \
	gkrellm-sysdeps.h

main.o:      main.c $(GKRELLM_H)
alerts.o:    alerts.c $(GKRELLM_H)
battery.o:   battery.c $(GKRELLM_H_SYS)
base64.o:    base64.c
clock.o:     clock.c  $(GKRELLM_H_SYS)
cpu.o:	     cpu.c  $(GKRELLM_H_SYS)
disk.o:      disk.c $(GKRELLM_H_SYS)
fs.o:        fs.c $(GKRELLM_H_SYS)
hostname.o:  hostname.c $(GKRELLM_H_SYS)
inet.o:      inet.c $(GKRELLM_H_SYS)
mail.o:      mail.c md5.h md5global.h ntlm.h $(GKRELLM_H_SYS)
md5c.o:      md5.h md5global.h
smbdes.o:    smbdes.h
smbencrypt.o: smbbyteorder.h smbdes.h smbmd4.h
smbmd4.o:    smbmd4.h
smbutil.o:   ntlm.h smbencrypt.h smbbyteorder.h
mem.o:       mem.c  $(GKRELLM_H_SYS)
net.o:	     net.c  $(GKRELLM_H_SYS)
proc.o:      proc.c  $(GKRELLM_H_SYS)
sensors.o:   sensors.c $(GKRELLM_H_SYS) ../pixmaps/sensors/bg_volt.xpm
uptime.o:    uptime.c $(GKRELLM_H_SYS)
chart.o:     chart.c  $(GKRELLM_H)
panel.o:     panel.c  $(GKRELLM_H)
config.o:    config.c  $(GKRELLM_H) $(IMAGES)
krell.o:     krell.c  $(GKRELLM_H)
gui.o:       gui.c  $(GKRELLM_H)
plugins.o:   plugins.c $(GKRELLM_H)
pixops.o:    pixops.c $(GKRELLM_H)
client.o:    client.c $(GKRELLM_H)
utils.o:     utils.c $(GKRELLM_H)
sysdeps-unix.o: sysdeps-unix.c $(GKRELLM_H_SYS) $(SYSDEPS_SRC)
winops-x11.o: winops-x11.c $(GKRELLM_H)
deprecated.o: deprecated.c $(GKRELLM_H)

=== debian/changelog ===
gkrellm (2.2.10-1) unstable; urgency=low

  * New upstream release (Closes: #407154)
  * Add patches to fix that configure script is unable to detect libgnutls.
  * --without-ssl, prefer GNUTLS over OpenSSL (see #337728).
  * --without-libsensors, force using /sysfs for safety.
  * Add information about battery monitor for Powerbook/iBook (Closes: #383753)

 -- Cai Qian <caiqian@debian.org>  Thu, 15 Feb 2007 16:42:45 +0800

gkrellm (2.2.9-1) unstable; urgency=low

  * New upstream release (fixed segfault on battery plugin)

 -- Cai Qian <caiqian@debian.org>  Tue, 03 Apr 2006 11:16:00 +0100

gkrellm (2.2.8-1) unstable; urgency=low

  * New upstream release (Closes: #357773, #347235, #335688, #341250,
    #335248)

 -- Cai Qian <caiqian@debian.org>  Thu, 30 Mar 2006 23:15:00 +0100

gkrellm (2.2.7-9) unstable; urgency=low

  * debian/control: provides gkrellm-common. (Closes: #352561)

 -- Cai Qian <caiqian@debian.org>  Sun, 12 Feb 2006 21:50:00 +0000	

gkrellm (2.2.7-8) unstable; urgency=low

  * debian/rules: fixed broken LOCALEDIR. (Closes: #351613)
  * upstream Changelog renamed to changelog 

 -- Cai Qian <caiqian@debian.org>  Mon, 6 Feb 2006 18:32:00 +0000

gkrellm (2.2.7-7) unstable; urgency=low

  * back header files. (Closes: #349027)

 -- Cai Qian <caiqian@debian.org>  Fri, 20 Jan 2006 16:00:01 +0000	

gkrellm (2.2.7-6) unstable; urgency=low

  * gkrellmd.postinst: changed gkrellmd daemon priority, in order to wait
    hddtemp and mbmon. (Closes: #343505). 
  * contorl: rewrited packages' description and removed obsolete
    entries. Fixed xlibs-dev issue. (Closes: #346735)
    gkrellm and gkrellmd replace gkrellm-common.
  * rules: used debhelper v5 and dpatch.
  * README.Debian: 
  * gkrellmd.init.d: remove hard coded no_gkrellmd_on_boot.
  * dropped header files.

 -- Cai Qian <caiqian@debian.org>  Tue, 17 Jan 2006 13:00:01 +0000
	

gkrellm (2.2.7-5) unstable; urgency=low

  * Prevented gkrellm linked to libssl. (Closes: #337728)
	
 -- Cai Qian <caiqian@debian.org>  Mon, 8 Nov 2005 23:36:00 +0000
	

gkrellm (2.2.7-4) unstable; urgency=low

  * Changed "Architecture" for d4x-common to "all".

 -- Cai Qian <caiqian@debian.org>  Sat, 6 Nov 2005 03:10:00 +0000

gkrellm (2.2.7-3) unstable; urgency=low

  * New maintainer (Closes: #337525)
  * Build against libgnutls-dev (Closes: #335763, #322211)
  * gkrellmd depended on adduser
  * Added watch file.

 -- Cai Qian <caiqian@debian.org>  Sat, 5 Nov 2005 20:10:00 +0000

gkrellm (2.2.7-2) unstable; urgency=low

  * Honor DEB_BUILD_OPTIONS=nostrip (Closes: #260444) 
  * mailcheck config GUI changes to address issues raised
    in bug #290817 (Closes: #290817)

 -- Brian M. Almeida <bma@debian.org>  Tue, 14 Jun 2005 20:27:12 -0400

gkrellm (2.2.7-1) unstable; urgency=low

  * New upstream release 
  * Remove false build dependency on libgtop-dev (Closes: #313070)
  * Apply update to German translation (Closes: #314088)
  * Put actual copyright in copyright file (Closes: #290165)
  * Added note about hddtemp functionality in README.Debian (Closes: #296484)
  * Removed patches/gnutls_pthreads.patch, integrated upstream

 -- Brian M. Almeida <bma@debian.org>  Tue, 14 Jun 2005 19:49:34 -0400

gkrellm (2.2.5-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Updated the gnutls patch in order to avoid a crash when checking multiple
    mailboxes (thanks Philipp Hartmann), closes: #310471.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 May 2005 18:17:48 +0200

gkrellm (2.2.5-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Put back maintainer's changes to the source mistakenly removed.
  * Changed the build dependency from gdk-imlib-dev to gdk-imlib1-dev which is
    a real package.

 -- Samuel Mimram <smimram@debian.org>  Sun, 22 May 2005 19:05:19 +0200

gkrellm (2.2.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added a patch to use libgnutls instead of libssl, closes: #309089.

 -- Samuel Mimram <smimram@debian.org>  Sat, 21 May 2005 16:20:33 +0200

gkrellm (2.2.5-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Tue, 22 Mar 2005 21:54:15 -0500

gkrellm (2.2.4-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Mon, 18 Oct 2004 10:30:12 -0400

gkrellm (2.2.2-3) unstable; urgency=low

  * Conflict with gkrellm-hddtemp (Closes: #263273) 
  * build-depend on libssl-dev (closes: #260166)

 -- Brian M. Almeida <bma@debian.org>  Fri,  6 Aug 2004 09:46:30 -0400

gkrellm (2.2.2-2) unstable; urgency=low

  * Provide gkrellm-hddtemp (Closes: #262709)

 -- Brian M. Almeida <bma@debian.org>  Sun,  1 Aug 2004 16:19:02 -0400

gkrellm (2.2.2-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Sat, 17 Jul 2004 11:34:10 -0400

gkrellm (2.2.1-1) unstable; urgency=low

  * New upstream release 
  * Include gkrellm.pc in gkrellm-common (closes: #253428)

 -- Brian M. Almeida <bma@debian.org>  Mon, 14 Jun 2004 21:08:36 -0400

gkrellm (2.2.0-1) unstable; urgency=low

  * New upstream release 
     - Now uses pango instead of GdkText to draw fonts, closes: #194692
  * Document how to launch console programs, closes: #230233
  * Zero out timer when going offline, closes: #221991

 -- Brian M. Almeida <bma@debian.org>  Sat, 15 May 2004 18:09:11 -0400

gkrellm (2.1.28-1) unstable; urgency=low

  * New upstream release, closes: #247097 

 -- Brian M. Almeida <bma@debian.org>  Mon,  3 May 2004 09:26:11 -0400

gkrellm (2.1.27-2) unstable; urgency=low

  * Update location of icon in gkrellm.menu, closes: #246829 

 -- Brian M. Almeida <bma@debian.org>  Sun,  2 May 2004 18:55:35 -0400

gkrellm (2.1.27-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Sat, 28 Feb 2004 18:07:24 -0500

gkrellm (2.1.26-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Fri, 27 Feb 2004 23:39:59 -0500

gkrellm (2.1.25-2) unstable; urgency=low



=== debian/control ===
Source: gkrellm
Section: x11
Priority: optional
Maintainer: Cai Qian <caiqian@debian.org>
Standards-Version: 3.6.2
Build-Depends: gdk-imlib1-dev, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 5), libsm-dev, x-dev, gettext, libgnutls-dev, dpatch (>= 2)

Package: gkrellm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: gkrellm-common
Conflicts: gkrellm-common (<= 2.2.7-5), gkrellmd (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: The GNU Krell Monitors
 With a single process, gkrellm manages multiple stacked monitors and supports
 applying themes to match the monitors appearance to your window manager, Gtk,
 or any other theme.

Package: gkrellmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Conflicts: gkrellm-common (<= 2.2.7-5), gkrellm (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: The GNU Krell Monitors Server
 Gkrellmd Listens for connections from gkrellm clients. When a gkrellm client
 connects to a gkrellmd server all builtin monitors collect their data from the
 server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Cai Qian <caiqian@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NICE=21
XPMFILE=gkrellm.xpm
CONFILE=gkrellmd.conf
INSTALL=install -m 644 -o root -g root -D
PREFIX=/usr
CONDIR=/etc
XPMDIR=/usr/share/pixmaps
SRCDIR=debian/tmp
DESTDIR="$(CURDIR)/$(SRCDIR)"

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: patch build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	# Avoid broken LOCALEDIR
	$(MAKE) PREFIX=$(PREFIX) without-ssl=1 without-libsensors=1

	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

patch: patch-stamp
patch-stamp:
	dpatch apply-all

	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX)
	$(INSTALL) $(CURDIR)/debian/$(XPMFILE) $(DESTDIR)$(XPMDIR)/$(XPMFILE)
	$(INSTALL) $(CURDIR)/server/$(CONFILE) $(DESTDIR)$(CONDIR)/$(CONFILE)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=$(SRCDIR)
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -u"defaults $(NICE)"
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
